## dbus-java 2.3.1

=== Makefile ===
#
# For profiling/debug builds use:
#
# make CFLAGS="" STRIP=touch JCFLAGS="-Xlint:all"
# JFLAGS="-Xrunhprof:heap=sites,cpu=samples,monitor=y,thread=y,doe=y -classic" check
#

# Variables controlling compilation. May be overridden on the command line for
# debug builds etc

# Programs
JAVAC?=javac
JAVA?=java
JAVADOC?=javadoc
JAR?=jar
MAKE?=make

# Program parameters
CPFLAG?=-classpath
JCFLAGS?=-Xlint:all -O -g:none
JFLAGS+=-Djava.library.path=$(JAVAUNIXLIBDIR)

# Source/Class locations
SRCDIR=org/freedesktop
CLASSDIR=classes/org/freedesktop/dbus

# Installation variables. Controls the location of make install.  May be
# overridden in the make command line to install to different locations
#
PREFIX?=/usr/local
JARPREFIX?=$(PREFIX)/share/java
BINPREFIX?=$(PREFIX)/bin
DOCPREFIX?=$(PREFIX)/share/doc/libdbus-java
MANPREFIX?=$(PREFIX)/share/man/man1

# Installation directory of the java-unix libraries
JAVAUNIXLIBDIR?=/usr/lib/jni
# Installation directory of the java-unix jars
JAVAUNIXJARDIR?=/usr/share/java
DEBUG=disable

# Version numbering
VERSION = 2.3.1
RELEASEVERSION = 2.3.1

DISTFILES=dbus-java.tex Makefile org tmp-session.conf CreateInterface.sgml DBusDaemon.sgml ListDBus.sgml DBusViewer.sgml changelog AUTHORS COPYING README INSTALL CreateInterface.sh DBusDaemon.sh ListDBus.sh DBusViewer.sh DBusDaemon.bat CreateInterface.bat ListDBus.bat DBusViewer.bat compile.bat DBusCall.bat DBusCall.sh DBusCall.sgml

all: libdbus-java-$(VERSION).jar dbus-java-viewer-$(VERSION).jar bin/DBusDaemon bin/ListDBus bin/CreateInterface bin/DBusViewer dbus-java-bin-$(VERSION).jar bin/DBusCall

clean:
	rm -rf doc bin classes testbin win
	rm -f *.1 *.o *.so *.h .dist .classes .testclasses .doc *.jar *.log pid address tmp-session-bus *.gz .viewerclasses .bin .testbin .win .binclasses Manifest
	rm -rf dbus-java-$(VERSION)
	rm -rf dbus-java-$(RELEASEVERSION)
	
classes: .classes
testclasses: .testclasses
viewerclasses: .viewerclasses
binclasses: .binclasses
.testclasses: $(SRCDIR)/dbus/test/*.java .classes
	mkdir -p classes
	$(JAVAC) -cp classes:${JAVAUNIXJARDIR}/debug-$(DEBUG).jar:${JAVAUNIXJARDIR}/hexdump.jar:$(CLASSPATH) -d classes $(JCFLAGS) $(SRCDIR)/dbus/test/*.java
	touch .testclasses 
.viewerclasses: $(SRCDIR)/dbus/viewer/*.java .classes
	mkdir -p classes
	$(JAVAC) -cp classes:$(CLASSPATH):${JAVAUNIXJARDIR}/unix.jar:${JAVAUNIXJARDIR}/debug-$(DEBUG).jar:${JAVAUNIXJARDIR}/hexdump.jar -d classes $(JCFLAGS) $(SRCDIR)/dbus/viewer/*.java
	touch .viewerclasses 
.binclasses: $(SRCDIR)/dbus/bin/*.java .classes
	mkdir -p classes
	$(JAVAC) -cp classes:$(CLASSPATH):${JAVAUNIXJARDIR}/unix.jar:${JAVAUNIXJARDIR}/debug-$(DEBUG).jar:${JAVAUNIXJARDIR}/hexdump.jar -d classes $(JCFLAGS) $(SRCDIR)/dbus/bin/*.java
	touch .binclasses 
.classes: $(SRCDIR)/*.java $(SRCDIR)/dbus/*.java $(SRCDIR)/dbus/exceptions/*.java $(SRCDIR)/dbus/types/*.java
	mkdir -p classes
	$(JAVAC) -d classes -cp classes:${JAVAUNIXJARDIR}/unix.jar:${JAVAUNIXJARDIR}/debug-$(DEBUG).jar:${JAVAUNIXJARDIR}/hexdump.jar:$(CLASSPATH) $(JCFLAGS) $^
	touch .classes

libdbus-java-$(VERSION).jar: .classes
	echo "Class-Path: ${JAVAUNIXJARDIR}/unix.jar ${JAVAUNIXJARDIR}/debug-$(DEBUG).jar" > Manifest
	(cd classes; $(JAR) -cfm ../$@ ../Manifest org/freedesktop/dbus/*.class org/freedesktop/*.class org/freedesktop/dbus/types/*.class org/freedesktop/dbus/exceptions/*.class)
dbus-java-test-$(VERSION).jar: .testclasses
	echo "Class-Path: ${JARPREFIX}/libdbus-java-$(VERSION).jar" > Manifest
	(cd classes; $(JAR) -cfm ../$@ ../Manifest org/freedesktop/dbus/test/*.class)
dbus-java-viewer-$(VERSION).jar: .viewerclasses
	echo "Class-Path: ${JARPREFIX}/libdbus-java-$(VERSION).jar" > Manifest
	(cd classes; $(JAR) -cfm ../$@ ../Manifest org/freedesktop/dbus/viewer/*.class)
dbus-java-bin-$(VERSION).jar: .binclasses
	echo "Class-Path: ${JARPREFIX}/libdbus-java-$(VERSION).jar" > Manifest
	(cd classes; $(JAR) -cfm ../$@ ../Manifest org/freedesktop/dbus/bin/*.class)
dbus.jar: libdbus-java-$(VERSION).jar
	ln -sf $< $@
dbus-bin.jar: dbus-java-bin-$(VERSION).jar
	ln -sf $< $@
dbus-viewer.jar: dbus-java-viewer-$(VERSION).jar
	ln -sf $< $@
	
jar: libdbus-java-$(VERSION).jar
doc: doc/dbus-java.dvi doc/dbus-java.ps doc/dbus-java.pdf doc/dbus-java/index.html doc/api/index.html
.doc:
	mkdir -p doc
	mkdir -p doc/dbus-java
	touch .doc
.win:
	mkdir -p win
	touch .win
.bin:
	mkdir -p bin
	touch .bin
.testbin:
	mkdir -p testbin
	touch .testbin
doc/dbus-java.dvi: dbus-java.tex .doc
	(cd doc; latex ../dbus-java.tex)
	(cd doc; latex ../dbus-java.tex)
	(cd doc; latex ../dbus-java.tex)
doc/dbus-java.ps: doc/dbus-java.dvi .doc
	(cd doc; dvips -o dbus-java.ps dbus-java.dvi)
doc/dbus-java.pdf: doc/dbus-java.dvi .doc
	(cd doc; pdflatex ../dbus-java.tex)
doc/dbus-java/index.html: dbus-java.tex .doc
	mkdir -p doc/dbus-java/
	(cd doc/dbus-java; TEX4HTENV=/etc/tex4ht/tex4ht.env htlatex ../../dbus-java.tex "xhtml,2" "" "-cvalidate")
	rm -f doc/dbus-java/*{4ct,4tc,aux,dvi,idv,lg,log,tmp,xref}
	cp doc/dbus-java/dbus-java.html doc/dbus-java/index.html
doc/api/index.html: $(SRCDIR)/*.java $(SRCDIR)/dbus/*.java .doc
	$(JAVADOC) -quiet -author -link http://java.sun.com/j2se/1.5.0/docs/api/ -classpath $(JAVAUNIXJARDIR)/unix.jar:$(JAVAUNIXJARDIR)/hexdump.jar:$(JAVAUNIXJARDIR)/debug-$(DEBUG).jar -d doc/api $(SRCDIR)/*.java $(SRCDIR)/dbus/*.java $(SRCDIR)/dbus/types/*.java $(SRCDIR)/dbus/exceptions/*.java

%.1: %.sgml
	docbook-to-man $< > $@
	
bin/%: %.sh .bin
	sed 's,\%JARPATH\%,$(JARPREFIX),;s,\%JAVAUNIXJARPATH\%,$(JAVAUNIXJARDIR),;s,\%JAVAUNIXLIBPATH\%,$(JAVAUNIXLIBDIR),;s,\%VERSION\%,$(VERSION),;s,\%DEBUG\%,$(DEBUG),;s,\%JAVA\%,$(JAVA),' < $< > $@

win/%.bat: %.bat .win
	sed 's,\%WINJARPATH\%,$(JARPREFIX),;s,\%WINUNIXJARPATH\%,$(JAVAUNIXJARDIR),;s,\%VERSION\%,$(VERSION),;s,\%DEBUG\%,$(DEBUG),' < $< > $@

testbin/%: %.sh .testbin libdbus-java-$(VERSION).jar dbus-java-bin-$(VERSION).jar dbus-bin.jar dbus.jar dbus-viewer.jar
	sed 's,\%JARPATH\%,.,;s,\%JAVAUNIXJARPATH\%,$(JAVAUNIXJARDIR),;s,\%JAVAUNIXLIBPATH\%,$(JAVAUNIXLIBDIR),;s,\%VERSION\%,$(VERSION),;s,\%DEBUG\%,$(DEBUG),;s,\%JAVA\%,$(JAVA),' < $< > $@
	chmod 755 $@

testrun: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
	$(JAVA) $(JFLAGS) $(CPFLAG) $(CLASSPATH):$(JAVAUNIXJARDIR)/unix.jar:$(JAVAUNIXJARDIR)/hexdump.jar:$(JAVAUNIXJARDIR)/debug-$(DEBUG).jar:libdbus-java-$(VERSION).jar:dbus-java-test-$(VERSION).jar org.freedesktop.dbus.test.test

low-level-run: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
	$(JAVA) $(JFLAGS) $(CPFLAG) $(CLASSPATH):$(JAVAUNIXJARDIR)/unix.jar:$(JAVAUNIXJARDIR)/hexdump.jar:$(JAVAUNIXJARDIR)/debug-$(DEBUG).jar:libdbus-java-$(VERSION).jar:dbus-java-test-$(VERSION).jar org.freedesktop.dbus.test.test_low_level

cross-test-server: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
	$(JAVA) $(JFLAGS) $(CPFLAG) $(CLASSPATH):$(JAVAUNIXJARDIR)/unix.jar:$(JAVAUNIXJARDIR)/hexdump.jar:$(JAVAUNIXJARDIR)/debug-$(DEBUG).jar:libdbus-java-$(VERSION).jar:dbus-java-test-$(VERSION).jar org.freedesktop.dbus.test.cross_test_server

cross-test-client: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
	$(JAVA) $(JFLAGS) $(CPFLAG) $(CLASSPATH):$(JAVAUNIXJARDIR)/unix.jar:$(JAVAUNIXJARDIR)/hexdump.jar:$(JAVAUNIXJARDIR)/debug-$(DEBUG).jar:libdbus-java-$(VERSION).jar:dbus-java-test-$(VERSION).jar org.freedesktop.dbus.test.cross_test_client

peer-server: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
	$(JAVA) $(JFLAGS) $(CPFLAG) $(CLASSPATH):$(JAVAUNIXJARDIR)/unix.jar:$(JAVAUNIXJARDIR)/hexdump.jar:$(JAVAUNIXJARDIR)/debug-$(DEBUG).jar:libdbus-java-$(VERSION).jar:dbus-java-test-$(VERSION).jar org.freedesktop.dbus.test.test_p2p_server

peer-client: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
	$(JAVA) $(JFLAGS) $(CPFLAG) $(CLASSPATH):$(JAVAUNIXJARDIR)/unix.jar:$(JAVAUNIXJARDIR)/hexdump.jar:$(JAVAUNIXJARDIR)/debug-$(DEBUG).jar:libdbus-java-$(VERSION).jar:dbus-java-test-$(VERSION).jar org.freedesktop.dbus.test.test_p2p_client

two-part-server: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
	$(JAVA) $(JFLAGS) $(CPFLAG) $(CLASSPATH):$(JAVAUNIXJARDIR)/unix.jar:$(JAVAUNIXJARDIR)/hexdump.jar:$(JAVAUNIXJARDIR)/debug-$(DEBUG).jar:libdbus-java-$(VERSION).jar:dbus-java-test-$(VERSION).jar org.freedesktop.dbus.test.two_part_test_server

two-part-client: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
	$(JAVA) $(JFLAGS) $(CPFLAG) $(CLASSPATH):$(JAVAUNIXJARDIR)/unix.jar:$(JAVAUNIXJARDIR)/hexdump.jar:$(JAVAUNIXJARDIR)/debug-$(DEBUG).jar:libdbus-java-$(VERSION).jar:dbus-java-test-$(VERSION).jar org.freedesktop.dbus.test.two_part_test_client

profilerun: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
	$(JAVA) $(JFLAGS) $(CPFLAG) $(CLASSPATH):$(JAVAUNIXJARDIR)/unix.jar:$(JAVAUNIXJARDIR)/hexdump.jar:$(JAVAUNIXJARDIR)/debug-$(DEBUG).jar:libdbus-java-$(VERSION).jar:dbus-java-test-$(VERSION).jar org.freedesktop.dbus.test.profile $(PROFILE)

viewer: libdbus-java-$(VERSION).jar dbus-java-viewer-$(VERSION).jar
	$(JAVA) $(JFLAGS) $(CPFLAG) $(CLASSPATH):$(JAVAUNIXJARDIR)/unix.jar:$(JAVAUNIXJARDIR)/hexdump.jar:$(JAVAUNIXJARDIR)/debug-$(DEBUG).jar:libdbus-java-$(VERSION).jar:dbus-java-viewer-$(VERSION).jar org.freedesktop.dbus.viewer.DBusViewer

#dbus-daemon --config-file=tmp-session.conf --print-pid --print-address=5 --fork >pid 5>address ; \

low-level: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
	( testbin/DBusDaemon --addressfile address --pidfile pid & \
	  sleep 1; \
	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
	  $(MAKE) DBUS_JAVA_FLOATS=true low-level-run ;\
	  kill $$(cat pid))

check: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
	( PASS=false; \
	  testbin/DBusDaemon --addressfile address --pidfile pid 2> server.log&\
	  sleep 1; \
	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
	  if $(MAKE) DBUS_JAVA_FLOATS=true testrun 2> client.log; then export PASS=true; fi  ; \
	  kill $$(cat pid) ; \
	  if [ "$$PASS" = "true" ]; then exit 0; else exit 1; fi )

cross-test-compile: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar

internal-cross-test: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
	( testbin/DBusDaemon --addressfile address --pidfile pid &\
	  sleep 1; \
	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
	  $(MAKE) DBUS_JAVA_FLOATS=true -s cross-test-server | tee server.log &\
	  sleep 1;\
	  $(MAKE) DBUS_JAVA_FLOATS=true -s cross-test-client | tee client.log ;\
	  kill $$(cat pid) ; )

peer-to-peer-test: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
	( $(MAKE) DBUS_JAVA_FLOATS=true -s peer-server 2>&1 | tee server.log &\
	  sleep 1;\
	  $(MAKE) DBUS_JAVA_FLOATS=true -s peer-client 2>&1 | tee client.log )

two-part-test: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
	( testbin/DBusDaemon --addressfile address --pidfile pid &\
	  sleep 1; \
	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
	  $(MAKE) DBUS_JAVA_FLOATS=true -s two-part-server | tee server.log &\
	  sleep 1;\
	  $(MAKE) DBUS_JAVA_FLOATS=true -s two-part-client | tee client.log ;\
	  kill $$(cat pid) ; )

profile: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
	( PASS=false; \
	  testbin/DBusDaemon --addressfile address --pidfile pid &\
	  sleep 1; \
	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
	  if $(MAKE) DBUS_JAVA_FLOATS=true profilerun ; then export PASS=true; fi  ; \
	  kill $$(cat pid) ; \
	  if [ "$$PASS" = "true" ]; then exit 0; else exit 1; fi )

uninstall:

## dbus-java 2.5

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 JAVADOC?=javadoc
 JAR?=jar
 MAKE?=make
+MSGFMT?=msgfmt
 
 # Program parameters
 CPFLAG?=-classpath
@@ -32,6 +33,8 @@
 BINPREFIX?=$(PREFIX)/bin
 DOCPREFIX?=$(PREFIX)/share/doc/libdbus-java
 MANPREFIX?=$(PREFIX)/share/man/man1
+# allows overriding the javadoc install location from command line
+JAVADOCPREFIX?=$(DOCPREFIX)
 
 # Installation directory of the java-unix libraries
 JAVAUNIXLIBDIR?=/usr/lib/jni
@@ -40,12 +43,15 @@
 DEBUG=disable
 
 # Version numbering
-VERSION = 2.3.1
-RELEASEVERSION = 2.3.1
-
-DISTFILES=dbus-java.tex Makefile org tmp-session.conf CreateInterface.sgml DBusDaemon.sgml ListDBus.sgml DBusViewer.sgml changelog AUTHORS COPYING README INSTALL CreateInterface.sh DBusDaemon.sh ListDBus.sh DBusViewer.sh DBusDaemon.bat CreateInterface.bat ListDBus.bat DBusViewer.bat compile.bat DBusCall.bat DBusCall.sh DBusCall.sgml
-
-all: libdbus-java-$(VERSION).jar dbus-java-viewer-$(VERSION).jar bin/DBusDaemon bin/ListDBus bin/CreateInterface bin/DBusViewer dbus-java-bin-$(VERSION).jar bin/DBusCall
+VERSION = $(shell sed -n '1s/.* \(.*\):/\1/p' changelog)
+RELEASEVERSION = $(shell sed -n '/^Version/s/.* \(.*\):/\1/p' changelog | sed -n '2p')
+
+DISTFILES=dbus-java.tex Makefile org tmp-session.conf CreateInterface.sgml DBusDaemon.sgml ListDBus.sgml DBusViewer.sgml changelog AUTHORS COPYING README INSTALL CreateInterface.sh DBusDaemon.sh ListDBus.sh DBusViewer.sh DBusDaemon.bat CreateInterface.bat ListDBus.bat DBusViewer.bat compile.bat DBusCall.bat DBusCall.sh DBusCall.sgml translations
+
+all: bin doc man
+bin: libdbus-java-$(VERSION).jar dbus-java-viewer-$(VERSION).jar bin/DBusDaemon bin/ListDBus bin/CreateInterface bin/DBusViewer dbus-java-bin-$(VERSION).jar bin/DBusCall
+man: CreateInterface.1 ListDBus.1 DBusDaemon.1 DBusViewer.1 DBusCall.1 
+doc: doc/dbus-java.dvi doc/dbus-java.ps doc/dbus-java.pdf doc/dbus-java/index.html doc/api/index.html
 
 clean:
 	rm -rf doc bin classes testbin win
@@ -61,7 +67,7 @@
 	mkdir -p classes
 	$(JAVAC) -cp classes:${JAVAUNIXJARDIR}/debug-$(DEBUG).jar:${JAVAUNIXJARDIR}/hexdump.jar:$(CLASSPATH) -d classes $(JCFLAGS) $(SRCDIR)/dbus/test/*.java
 	touch .testclasses 
-.viewerclasses: $(SRCDIR)/dbus/viewer/*.java .classes
+.viewerclasses: $(SRCDIR)/dbus/viewer/*.java .classes .binclasses
 	mkdir -p classes
 	$(JAVAC) -cp classes:$(CLASSPATH):${JAVAUNIXJARDIR}/unix.jar:${JAVAUNIXJARDIR}/debug-$(DEBUG).jar:${JAVAUNIXJARDIR}/hexdump.jar -d classes $(JCFLAGS) $(SRCDIR)/dbus/viewer/*.java
 	touch .viewerclasses 
@@ -69,14 +75,20 @@
 	mkdir -p classes
 	$(JAVAC) -cp classes:$(CLASSPATH):${JAVAUNIXJARDIR}/unix.jar:${JAVAUNIXJARDIR}/debug-$(DEBUG).jar:${JAVAUNIXJARDIR}/hexdump.jar -d classes $(JCFLAGS) $(SRCDIR)/dbus/bin/*.java
 	touch .binclasses 
-.classes: $(SRCDIR)/*.java $(SRCDIR)/dbus/*.java $(SRCDIR)/dbus/exceptions/*.java $(SRCDIR)/dbus/types/*.java
-	mkdir -p classes
-	$(JAVAC) -d classes -cp classes:${JAVAUNIXJARDIR}/unix.jar:${JAVAUNIXJARDIR}/debug-$(DEBUG).jar:${JAVAUNIXJARDIR}/hexdump.jar:$(CLASSPATH) $(JCFLAGS) $^
+.classes: $(SRCDIR)/*.java $(SRCDIR)/dbus/*.java $(SRCDIR)/dbus/exceptions/*.java $(SRCDIR)/dbus/types/*.java translations/*.po
+	mkdir -p classes
+	$(JAVAC) -d classes -cp classes:${JAVAUNIXJARDIR}/unix.jar:${JAVAUNIXJARDIR}/debug-$(DEBUG).jar:${JAVAUNIXJARDIR}/hexdump.jar:$(CLASSPATH) $(JCFLAGS) $(SRCDIR)/*.java $(SRCDIR)/dbus/*.java $(SRCDIR)/dbus/exceptions/*.java $(SRCDIR)/dbus/types/*.java
+	(cd translations; for i in *.po; do $(MSGFMT) --java2 -r dbusjava_localized -d ../classes -l $${i%.po} $$i; done)
+	$(MSGFMT) --java2 -r dbusjava_localized -d classes translations/en_GB.po
 	touch .classes
+
+translations/en_GB.po: $(SRCDIR)/*.java $(SRCDIR)/dbus/*.java $(SRCDIR)/dbus/exceptions/*.java $(SRCDIR)/dbus/types/*.java $(SRCDIR)/dbus/bin/*.java $(SRCDIR)/dbus/viewer/*.java
+	echo "#java-format" > $@
+	sed -n '/_(/s/.*_("\([^"]*\)").*/\1/p' $^ | sort -u | sed 's/\(.*\)/msgid "\1"\nmsgstr "\1"/' >> $@
 
 libdbus-java-$(VERSION).jar: .classes
 	echo "Class-Path: ${JAVAUNIXJARDIR}/unix.jar ${JAVAUNIXJARDIR}/debug-$(DEBUG).jar" > Manifest
-	(cd classes; $(JAR) -cfm ../$@ ../Manifest org/freedesktop/dbus/*.class org/freedesktop/*.class org/freedesktop/dbus/types/*.class org/freedesktop/dbus/exceptions/*.class)
+	(cd classes; $(JAR) -cfm ../$@ ../Manifest org/freedesktop/dbus/*.class org/freedesktop/*.class org/freedesktop/dbus/types/*.class org/freedesktop/dbus/exceptions/*.class *localized*class)
 dbus-java-test-$(VERSION).jar: .testclasses
 	echo "Class-Path: ${JARPREFIX}/libdbus-java-$(VERSION).jar" > Manifest
 	(cd classes; $(JAR) -cfm ../$@ ../Manifest org/freedesktop/dbus/test/*.class)
@@ -94,7 +106,7 @@
 	ln -sf $< $@
 	
 jar: libdbus-java-$(VERSION).jar
-doc: doc/dbus-java.dvi doc/dbus-java.ps doc/dbus-java.pdf doc/dbus-java/index.html doc/api/index.html
+
 .doc:
 	mkdir -p doc
 	mkdir -p doc/dbus-java
@@ -181,7 +193,7 @@
 	  testbin/DBusDaemon --addressfile address --pidfile pid 2> server.log&\
 	  sleep 1; \
 	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
-	  if $(MAKE) DBUS_JAVA_FLOATS=true testrun 2> client.log; then export PASS=true; fi  ; \
+	  if $(MAKE) DBUS_JAVA_FLOATS=true DEBUG=$(DEBUG) testrun 2>&1 | tee client.log; then export PASS=true; fi  ; \
 	  kill $$(cat pid) ; \
 	  if [ "$$PASS" = "true" ]; then exit 0; else exit 1; fi )
 
@@ -191,32 +203,13 @@
 	( testbin/DBusDaemon --addressfile address --pidfile pid &\
 	  sleep 1; \
 	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
-	  $(MAKE) DBUS_JAVA_FLOATS=true -s cross-test-server | tee server.log &\
+	  $(MAKE) DEBUG=$(DEBUG) DBUS_JAVA_FLOATS=true -s cross-test-server | tee server.log &\
 	  sleep 1;\
-	  $(MAKE) DBUS_JAVA_FLOATS=true -s cross-test-client | tee client.log ;\
+	  $(MAKE) DEBUG=$(DEBUG) DBUS_JAVA_FLOATS=true -s cross-test-client | tee client.log ;\
 	  kill $$(cat pid) ; )
 
 peer-to-peer-test: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
-	( $(MAKE) DBUS_JAVA_FLOATS=true -s peer-server 2>&1 | tee server.log &\
+	( $(MAKE) DEBUG=$(DEBUG) DBUS_JAVA_FLOATS=true -s peer-server 2>&1 | tee server.log &\
 	  sleep 1;\
-	  $(MAKE) DBUS_JAVA_FLOATS=true -s peer-client 2>&1 | tee client.log )
-
-two-part-test: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
-	( testbin/DBusDaemon --addressfile address --pidfile pid &\
-	  sleep 1; \
-	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
-	  $(MAKE) DBUS_JAVA_FLOATS=true -s two-part-server | tee server.log &\
-	  sleep 1;\
-	  $(MAKE) DBUS_JAVA_FLOATS=true -s two-part-client | tee client.log ;\
-	  kill $$(cat pid) ; )
-
-profile: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
-	( PASS=false; \
-	  testbin/DBusDaemon --addressfile address --pidfile pid &\
-	  sleep 1; \
-	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
-	  if $(MAKE) DBUS_JAVA_FLOATS=true profilerun ; then export PASS=true; fi  ; \
-	  kill $$(cat pid) ; \
-	  if [ "$$PASS" = "true" ]; then exit 0; else exit 1; fi )
-
-uninstall: 
+	  $(MAKE) DEBUG=$(DEBUG) DBUS_JAVA_FLOATS=true -s peer-client 2>&1 | tee client.log )
+

## dbus-java 2.6

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 JAR?=jar
 MAKE?=make
 MSGFMT?=msgfmt
+DOCBOOKTOMAN?=docbook-to-man
 
 # Program parameters
 CPFLAG?=-classpath
@@ -87,7 +88,7 @@
 	sed -n '/_(/s/.*_("\([^"]*\)").*/\1/p' $^ | sort -u | sed 's/\(.*\)/msgid "\1"\nmsgstr "\1"/' >> $@
 
 libdbus-java-$(VERSION).jar: .classes
-	echo "Class-Path: ${JAVAUNIXJARDIR}/unix.jar ${JAVAUNIXJARDIR}/debug-$(DEBUG).jar" > Manifest
+	echo "Class-Path: ${JAVAUNIXJARDIR}/unix.jar ${JAVAUNIXJARDIR}/hexdump.jar ${JAVAUNIXJARDIR}/debug-$(DEBUG).jar" > Manifest
 	(cd classes; $(JAR) -cfm ../$@ ../Manifest org/freedesktop/dbus/*.class org/freedesktop/*.class org/freedesktop/dbus/types/*.class org/freedesktop/dbus/exceptions/*.class *localized*class)
 dbus-java-test-$(VERSION).jar: .testclasses
 	echo "Class-Path: ${JARPREFIX}/libdbus-java-$(VERSION).jar" > Manifest
@@ -137,7 +138,7 @@
 	$(JAVADOC) -quiet -author -link http://java.sun.com/j2se/1.5.0/docs/api/ -classpath $(JAVAUNIXJARDIR)/unix.jar:$(JAVAUNIXJARDIR)/hexdump.jar:$(JAVAUNIXJARDIR)/debug-$(DEBUG).jar -d doc/api $(SRCDIR)/*.java $(SRCDIR)/dbus/*.java $(SRCDIR)/dbus/types/*.java $(SRCDIR)/dbus/exceptions/*.java
 
 %.1: %.sgml
-	docbook-to-man $< > $@
+	$(DOCBOOKTOMAN) $< > $@
 	
 bin/%: %.sh .bin
 	sed 's,\%JARPATH\%,$(JARPREFIX),;s,\%JAVAUNIXJARPATH\%,$(JAVAUNIXJARDIR),;s,\%JAVAUNIXLIBPATH\%,$(JAVAUNIXLIBDIR),;s,\%VERSION\%,$(VERSION),;s,\%DEBUG\%,$(DEBUG),;s,\%JAVA\%,$(JAVA),' < $< > $@
@@ -193,6 +194,7 @@
 	  testbin/DBusDaemon --addressfile address --pidfile pid 2> server.log&\
 	  sleep 1; \
 	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
+	  dbus-monitor >> monitor.log &\
 	  if $(MAKE) DBUS_JAVA_FLOATS=true DEBUG=$(DEBUG) testrun 2>&1 | tee client.log; then export PASS=true; fi  ; \
 	  kill $$(cat pid) ; \
 	  if [ "$$PASS" = "true" ]; then exit 0; else exit 1; fi )
@@ -211,5 +213,3 @@
 peer-to-peer-test: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
 	( $(MAKE) DEBUG=$(DEBUG) DBUS_JAVA_FLOATS=true -s peer-server 2>&1 | tee server.log &\
 	  sleep 1;\
-	  $(MAKE) DEBUG=$(DEBUG) DBUS_JAVA_FLOATS=true -s peer-client 2>&1 | tee client.log )
-

## dbus-java 2.8

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # Program parameters
 CPFLAG?=-classpath
-JCFLAGS?=-Xlint:all -O -g:none
+JCFLAGS?=-Xlint:all -O
 JFLAGS+=-Djava.library.path=$(JAVAUNIXLIBDIR)
 
 # Source/Class locations
@@ -189,6 +189,17 @@
 	  $(MAKE) DBUS_JAVA_FLOATS=true low-level-run ;\
 	  kill $$(cat pid))
 
+checktcp: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
+	( PASS=false; \
+	  testbin/DBusDaemon --tcp --addressfile address --pidfile pid 2> server.log&\
+	  sleep 1; \
+	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
+	  dbus-monitor >> monitor.log &\
+	  if $(MAKE) DBUS_JAVA_FLOATS=true DEBUG=$(DEBUG) testrun 2>&1 | tee client.log; then export PASS=true; fi  ; \
+	  kill $$(cat pid) ; \
+	  if [ "$$PASS" = "true" ]; then exit 0; else exit 1; fi )
+
+
 check: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
 	( PASS=false; \
 	  testbin/DBusDaemon --addressfile address --pidfile pid 2> server.log&\
@@ -203,13 +214,3 @@
 
 internal-cross-test: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar testbin/DBusDaemon dbus.jar dbus-java-bin-$(VERSION).jar dbus-bin.jar
 	( testbin/DBusDaemon --addressfile address --pidfile pid &\
-	  sleep 1; \
-	  export DBUS_SESSION_BUS_ADDRESS=$$(cat address) ;\
-	  $(MAKE) DEBUG=$(DEBUG) DBUS_JAVA_FLOATS=true -s cross-test-server | tee server.log &\
-	  sleep 1;\
-	  $(MAKE) DEBUG=$(DEBUG) DBUS_JAVA_FLOATS=true -s cross-test-client | tee client.log ;\
-	  kill $$(cat pid) ; )
-
-peer-to-peer-test: libdbus-java-$(VERSION).jar dbus-java-test-$(VERSION).jar
-	( $(MAKE) DEBUG=$(DEBUG) DBUS_JAVA_FLOATS=true -s peer-server 2>&1 | tee server.log &\
-	  sleep 1;\

=== debian/changelog ===
dbus-java (2.8-6) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Depend on default-jre-headless | java6-runtime-headless
      instead of openjdk-{6,7}-jre (Closes: #503815)
    - Fixed a typo in the name of the maintainer
    - Standards-Version updated to 3.9.6 (no changes)
    - Removed the duplicate Section field for libdbus-java

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 13 Feb 2015 23:02:32 +0100

dbus-java (2.8-5) unstable; urgency=medium

  * Team upload.
  * Update Standards-Version to 3.9.5 (no changes).
  * debian/rules:
    - Address jh_manifest warning. (Closes: #619888, LP: #663277)
    - No longer use bzip2 compression for binary deb.
    - Set javac -source and -target options to 1.6.

 -- tony mancill <tmancill@debian.org>  Fri, 31 Jan 2014 20:42:48 -0800

dbus-java (2.8-4) unstable; urgency=low

  * Team upload.
  * Correct maintainer mail address.  (Closes: #679031)

 -- Niels Thykier <niels@thykier.net>  Sat, 30 Jun 2012 18:47:52 +0200

dbus-java (2.8-3) unstable; urgency=low

  * Team upload.
  * Bump build dependency on javahelper to allow OpenJDK-7 as
    alternative to OpenJDK-6.
  * Remove stamp file in clean rule.

 -- Niels Thykier <niels@thykier.net>  Tue, 19 Jun 2012 12:00:13 +0200

dbus-java (2.8-2) unstable; urgency=low

  * Team upload.

  [ Matthew Johnson ]
  * Move to a team-maintained package (moving to java team not utopia) 

  [ Damien Raude-Morvan ]
  * Switch to default-jdk (Closes: #642682).
  * Bump Standards-Version to 3.9.2: add Homepage.
  * Switch to 3.0 (quilt) format.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 21 Nov 2011 00:12:26 +0100

dbus-java (2.8-1) unstable; urgency=low

  * New upstream release (fixes some array serialization issues)

 -- Matthew Johnson <mjj29@debian.org>  Thu, 05 Aug 2010 19:48:13 +0000

dbus-java (2.7-2) unstable; urgency=low

  * Change from classpath-doc to default-jdk-doc (Closes: #567271)
  * fix some lintian warnings
  * dh_compress seems to be compressing the pdf, but evince copes with this, so
    lets just list it in doc-base compressed

 -- Matthew Johnson <mjj29@debian.org>  Sat, 20 Mar 2010 13:33:15 +0000

dbus-java (2.7-1) unstable; urgency=low

  * New Upstream Release 
  * Convert to dh 7
  * Remove dependencies on locales

 -- Matthew Johnson <mjj29@debian.org>  Sun, 06 Dec 2009 11:10:53 +0000

dbus-java (2.6-1) unstable; urgency=low

  * New Upstream Release 
  * Bump Standards-Version
  * Change to section java

 -- Matthew Johnson <mjj29@debian.org>  Sun, 05 Apr 2009 11:21:47 +0100

dbus-java (2.5-4) unstable; urgency=medium

  * Depend on texlive-latex-recommended (Closes: #494212) 

 -- Matthew Johnson <mjj29@debian.org>  Fri, 08 Aug 2008 15:43:24 +0100

dbus-java (2.5-3) unstable; urgency=low

  * javahelper should have fixed the depends on libmatthew-debug-java....
    except it wasn't that problem. Missing dependency added to jar in
    debian/rules
    (Really Closes: #491208)
  * Fixed changelog entry below to not be on crack.

 -- Matthew Johnson <mjj29@debian.org>  Mon, 21 Jul 2008 11:26:17 +0100

dbus-java (2.5-2) unstable; urgency=low

  * Change to depend on openjdk and move to main from contrib 
    (Closes: #490812, #491349)
  * javahelper should have fixed the depends on libmatthew-debug-java.
    (Closes: #491208)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 20 Jul 2008 22:55:52 +0100

dbus-java (2.5-1) unstable; urgency=low

  * New Upstream Release

 -- Matthew Johnson <mjj29@debian.org>  Tue, 24 Jun 2008 23:49:24 +0100

dbus-java (2.4-2) unstable; urgency=low

  * Fix depends/wrapper script JVM mismatch (Closes: #473569)
  * Ensure correct dependency on lidbus-java in dbus-java-bin
  * Make sure debug is disabled
  * Depend on and build with sun-java6-jdk 

 -- Matthew Johnson <mjj29@debian.org>  Mon, 31 Mar 2008 14:58:34 +0100

dbus-java (2.4-1) unstable; urgency=low

  * New Upstream Release
  * Add build-dep on gettext
  * Build-dep on locale, generate a UTF-8 locale during build and use that
  * Compress using bzip2
  * Depends on version >=0.6 of libunixsocket-java
  * Use Javahelper
  * Bump standards version 

 -- Matthew Johnson <mjj29@debian.org>  Tue, 05 Feb 2008 11:49:35 +0000

dbus-java (2.3.2-1) unstable; urgency=low

  * Upstream bug fix release
  * Add watch file
  * Change maintainer address 

 -- Matthew Johnson <mjj29@debian.org>  Wed, 05 Dec 2007 09:51:45 +0000

dbus-java (2.3.1-1) unstable; urgency=low

  * Upstream bug fix release (Closes: #422974)
  * Clean up control, add misc:Depends entries
  * Wrap long lines in rules and control
  * Don't ignore make clean errors
  * Call test suite in build
  * Have libdbus-java recommend dbus-java-bin to ensure upgraders don't lose
  functionality
  * Only need to depend on -jre not -jdk as well.
  * Typographic changes to control and rules
  * Call debhelper with -i
  * Build docs under build
  * Fix the licence statement
  * Put a minimum version on the dbus-java-bin - libdbus-java dependency.
  * No need to rm -rf debian/tmp or spare doc files, removed
  * Move from devel to libs and utils

 -- Matthew Johnson <debian@matthew.ath.cx>  Sun,  5 Aug 2007 23:39:40 +0100

dbus-java (2.3-1) unstable; urgency=low

  * New upstream release 

 -- Matthew Johnson <debian@matthew.ath.cx>  Fri, 13 Jul 2007 23:38:38 +0100

dbus-java (2.2-2) unstable; urgency=low

  * Change tetex to texlive
  * Update to new Java policy

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed, 30 May 2007 01:27:41 +0100

dbus-java (2.2-1) unstable; urgency=low

  * New Upstream Release

 -- Matthew Johnson <debian@matthew.ath.cx>  Sat, 31 Mar 2007 18:37:49 +0100

dbus-java (2.1-2) unstable; urgency=low

  * Add doc-base files to register the documentation

 -- Matthew Johnson <debian@matthew.ath.cx>  Thu, 11 Jan 2007 12:01:37 +0000

dbus-java (2.1-1) unstable; urgency=low

  * New Upstream Release
  * Remove dependencies on dbus/libdbus
  * Add dependencies on libmatthew-java packages


=== debian/control ===
Source: dbus-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthew Johnson <mjj29@debian.org>
Build-Depends: default-jdk,
               debhelper (>= 9~),
               docbook-to-man,
               tex4ht,
               libmatthew-debug-java,
               libunixsocket-java (>= 0.6),
               texlive-latex-base,
               texlive-base-bin,
               texlive-latex-extra,
               texlive-latex-recommended,
               default-jdk-doc,
               gettext,
               javahelper (>= 0.42)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/dbus-java.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/dbus-java.git
Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings

Package: libdbus-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Suggests: libdbus-java-doc
Recommends: dbus-java-bin
Description: simple interprocess messaging system (Java implementation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides an implementation of D-Bus in Java (Library).
 .
 See the dbus description for more information about D-Bus in general.

Package: dbus-java-bin
Architecture: all
Section: utils
Depends: ${misc:Depends}, default-jre-headless (>= 2:1.6) | java6-runtime-headless, libdbus-java (=${binary:Version})
Conflicts: libdbus-java (<< 2.0)
Replaces: libdbus-java (<< 2.0)
Description: simple interprocess messaging system (Java Binaries)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides several programs using the Java implementation
 of D-Bus. This includes a simple D-Bus daemon for use in session busses,
 A tool for generating Java stubs from D-Bus introspection data and
 a graphical browser for D-Bus connections.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-java-doc
Recommends: libdbus-java
Depends: default-jdk-doc, ${misc:Depends}
Architecture: all
Section: doc
Description: simple interprocess messaging system (Java interface documentation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides the documentation for the Java implementation of D-Bus.
 .
 See the dbus description for more information about D-Bus in general.

=== debian/rules ===
#!/usr/bin/make -f

# Rules file to build dbus-java packages by Matthew Johnson
#

JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper

VERSION=$(shell dpkg-parsechangelog | sed -n '/^Version/s/Version: \(.*\)-[^-]*$$/\1/p')

override_dh_auto_build:
	# Add here commands to compile the package.
	$(MAKE) DEBUG=disable \
			  JCFLAGS="-source 1.6 -target 1.6 -O -encoding UTF-8" \
			  PREFIX=/usr \
			  JAVA_HOME=${JAVA_HOME}/bin/ \
			  JAVAC=${JAVA_HOME}/bin/javac \
			  JAVA=${JAVA_HOME}/bin/java \
			  JAR=${JAVA_HOME}/bin/jar \
			  JAVADOC="${JAVA_HOME}/bin/javadoc -link /usr/share/doc/default-jdk-doc/api" \
			  all doc check 
	touch $@

override_dh_auto_clean:
	# Add here commands to clean up after the build process.
	$(MAKE) clean
	rm -f override_dh_auto_build

override_dh_auto_install:
	$(MAKE) DEBUG=disable \
			  DESTDIR=$(CURDIR)/debian/tmp \
			  PREFIX=/usr \
			  install install-man install-doc

override_dh_install:
	dh_install -i --sourcedir=debian/tmp
override_jh_manifest:
	jh_manifest -plibdbus-java -c"unix.jar hexdump.jar"
	jh_manifest -pdbus-java-bin -c"dbus-$(VERSION).jar"
override_jh_depends:
	jh_depends -pdbus-java-bin -jopen
	jh_depends -plibdbus-java 
override_dh_builddeb:
	dh_builddeb -i

=== debian/watch ===
version=3
http://dbus.freedesktop.org/releases/dbus-java/ (?:.*/)?dbus-java-?_?([\d+\.]+|\d+)\.tar.* debian uupdate
